### Method

# Ggit OId to_string

#### Declaration [src]

    gchar*
    ggit_oid_to_string (
      GgitOId* oid
    )

#### Description [src]

Converts `oid` into a readable string.

#### Return value

Type: `gchar*`

A newly allocated string representing `oid` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.